memrchr(3)

NAME
memrchr - memory rear-search character

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _GNU_SOURCE  // See feature_test_macros(7)
#include <string.h>  // see memory.h(3head)

void *memrchr(size_t n;
              const void s[n], int c, size_t n);

DESCRIPTION
memrchr() is like memchr(3), except that it searches backward from the end of the n bytes pointed to by s instead of forward from the beginning.

RETURN VALUE
See memchr(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
glibc 2.2.

SEE ALSO
memory.h(3head), memchr(3)